# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{
  config,
  nixpkgs,
  ...
}:

let
  domain = "nb-relay01.dgnum.eu";
in

{
  services = {
    netbird.server.relay = {
      enable = true;

      package = nixpkgs.nixos.unstable.netbird;

      inherit domain;
      enableNginx = true;

      environmentFile = config.age.secrets."netbird-relay_environment_file".path;
      metricsPort = 9094;
    };

    nginx.virtualHosts.${domain} = {
      enableACME = true;
      forceSSL = true;
    };
  };
}
