# SPDX-FileCopyrightText: 2024 Tom Hubrecht <tom.hubrecht@dgnum.eu>
#
# SPDX-License-Identifier: EUPL-1.2

{ meta, name, ... }:

let
  port = 8428;
in

{
  services.victoriametrics = {
    enable = true;

    flags = {
      # INFO: We keep the data for 2 years (24 months)
      retentionPeriod = "24";
      httpListenAddr = "${meta.network.${name}.netbirdIp}:${builtins.toString port}";
    };
  };

  networking.firewall.interfaces.wt0.allowedTCPPorts = [ port ];
}
